/***************************************************************************
                          SDLsmtp.h  -  An interface layer between
    a socket to an SMTP server and higher-level code.
                             -------------------
    begin                : Sat May 17 2003
    copyright            : (C) 2003 by Tyler Montbriand
    email                : tsm@accesscomm.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation.                            *
 *                                                                         *
 ***************************************************************************/

#ifndef __SDLSMTP_H__
#define __SDLSMTP_H__

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdarg.h> 
#include "SDLsock.h"

#ifdef __cplusplus
extern "C" {
#endif

int Init();
int Quit();
int LookupMessage(const char *msg);
int GetMessage(TCPsocket sock);
int Transact(TCPsocket sock, const char *cmdstr, ...);
int SMTPSend(TCPsocket sock, FILE *fp, const char *from,
             const char *to);

typedef enum SMTPMessage_t
{
  SMTP_ERROR          = -1 ,
  SMTP_SYSSTATUS      = 0,
  SMTP_HELPMESSAGE,
  SMTP_SERVICEREADY,
  SMTP_SERVICECLOSING,
  SMTP_OK,
  SMTP_MAILFORWARDED,
  SMTP_STARTMAILINPUT,
  SMTP_SERVICENOTAVAIL,
  SMTP_MAILUNAVAIL,
  SMTP_ACTIONABORTED,
  SMTP_OUTOFSPACE,
  SMTP_SYNTAXERROR,
  SMTP_PARAMETERERROR,
  SMTP_UNIMPLEMENTED,
  SMTP_BADSEQUENCE,
  SMTP_PUNIMPLEMENTED,
  SMTP_NOMAILBOX,
  SMTP_USERNOTLOCAL,
  SMTP_MAILABORTED,
  SMTP_MAILDISALLOWED,
  SMTP_TRANSACTFAILED,
  SMTP_LASTMSG
} SMTPMessage_t;

extern int SMTPNums[];

#ifdef __cplusplus
}
#endif

#endif/*__SDLSMTP_H__*/

